public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Lars Wendler" <polynomial-c@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/bash/
Date: Wed, 20 Mar 2019 14:31:28 +0000 (UTC)	[thread overview]
Message-ID: <1553092281.596519978ca08ab3a46e60e7ac754278a5aef40e.polynomial-c@gentoo> (raw)

commit:     596519978ca08ab3a46e60e7ac754278a5aef40e
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 20 14:29:51 2019 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Mar 20 14:31:21 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=59651997

app-shells/bash: Bump to version 5.0_p3

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 app-shells/bash/Manifest           |   1 +
 app-shells/bash/bash-5.0_p3.ebuild | 266 +++++++++++++++++++++++++++++++++++++
 2 files changed, 267 insertions(+)

diff --git a/app-shells/bash/Manifest b/app-shells/bash/Manifest
index 3962596fa5d..bee3da75417 100644
--- a/app-shells/bash/Manifest
+++ b/app-shells/bash/Manifest
@@ -310,3 +310,4 @@ DIST bash44-022 1818 BLAKE2B 66c6e5fd33f0649ff886d1fd944cb10a06de06f0724c0cb7343
 DIST bash44-023 1557 BLAKE2B 95a21ade7e4be68d66f3862f26b574c5897055822471c8d2801b8e1f866d1d11ddd4000e967b567c3ef7949af8a88ca918ea066d52a67fc5fd4b266135f0dbbb SHA512 442efa78d365a728555ade77cc2f8501aed09f37ae10e1ac647d35299829b63caefbc5c30436d622bfef9300e9d929d7f4fafe85a59df15089881bc987fa12fd
 DIST bash50-001 4133 BLAKE2B 3eedb63f943ba89f1147c907fcacb5e5af891a6728edb4ced972e19d586573db6fface4947490ffb9f42a2ed87c745a352e102fb727637eec8422d7323da9470 SHA512 e3bf036287d3be1f3e91755678c04c9a8e1b4a98e34e181871dfaeb13987dda18c31a44db3f3829d91a185ba4414b9c0229f2a15f6e8a951cbc6c1054252bfdd
 DIST bash50-002 4380 BLAKE2B 022340f0da0d5b7c571c2015beb87268452faf1484bedb75e2868b16904eed93749d5c0ed62b9da43badb3ee2efe3bdb4f55e212a40c3cfdc073d44623475b85 SHA512 59b1cfa1be1029ada53c63fe651d51451ead5523c50c115e0eada07e34e641c693ed728366986acb431f96fdc61818efd3f8cd168ce416001edc62602e5f28dd
+DIST bash50-003 6434 BLAKE2B ccf05f2f0da6dd0a1d25d22200326d405019acbce27a7fbcb3f16ff09027d5dec5cb9d5dc557638f72089a3444b25d5106abdb0916cac0797562b4d8b68a0ab2 SHA512 520b5cc0b7aeea6cd8b7471b553d8979996f3627a3e5c8889023562dadc82475be243aca2ec608217b78400a1dceb134b877d3ded926e581445234f1b69409e6

diff --git a/app-shells/bash/bash-5.0_p3.ebuild b/app-shells/bash/bash-5.0_p3.ebuild
new file mode 100644
index 00000000000..0e14a04dc16
--- /dev/null
+++ b/app-shells/bash/bash-5.0_p3.ebuild
@@ -0,0 +1,266 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit flag-o-matic toolchain-funcs multilib prefix
+
+# Official patchlevel
+# See ftp://ftp.cwru.edu/pub/bash/bash-5.0-patches/
+PLEVEL=${PV##*_p}
+MY_PV=${PV/_p*}
+MY_PV=${MY_PV/_/-}
+MY_P=${PN}-${MY_PV}
+is_release() {
+	case ${PV} in
+	*_alpha*|*_beta*|*_rc*) return 1 ;;
+	*) return 0 ;;
+	esac
+}
+[[ ${PV} != *_p* ]] && PLEVEL=0
+patches() {
+	local opt=$1 plevel=${2:-${PLEVEL}} pn=${3:-${PN}} pv=${4:-${MY_PV}}
+	[[ ${plevel} -eq 0 ]] && return 1
+	eval set -- {1..${plevel}}
+	set -- $(printf "${pn}${pv/\.}-%03d " "$@")
+	if [[ ${opt} == -s ]] ; then
+		echo "${@/#/${DISTDIR}/}"
+	else
+		local u
+		for u in ftp://ftp.cwru.edu/pub/bash mirror://gnu/${pn} ; do
+			printf "${u}/${pn}-${pv}-patches/%s " "$@"
+		done
+	fi
+}
+
+# The version of readline this bash normally ships with.
+READLINE_VER="8.0"
+
+DESCRIPTION="The standard GNU Bourne again shell"
+HOMEPAGE="http://tiswww.case.edu/php/chet/bash/bashtop.html"
+if is_release ; then
+	SRC_URI="mirror://gnu/bash/${MY_P}.tar.gz $(patches)"
+else
+	SRC_URI="ftp://ftp.cwru.edu/pub/bash/${MY_P}.tar.gz"
+fi
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="afs bashlogger examples mem-scramble +net nls plugins +readline"
+
+DEPEND="
+	>=sys-libs/ncurses-5.2-r2:0=
+	readline? ( >=sys-libs/readline-${READLINE_VER}:0= )
+	nls? ( virtual/libintl )
+"
+RDEPEND="
+	${DEPEND}
+	!<sys-apps/portage-2.1.6.7_p1
+"
+# we only need yacc when the .y files get patched (bash42-005)
+#DEPEND+=" virtual/yacc"
+
+S="${WORKDIR}/${MY_P}"
+
+PATCHES=(
+	# Patches from Chet sent to bashbug ml
+	"${FILESDIR}"/${PN}-5.0-history-zero-length.patch
+	"${FILESDIR}"/${PN}-5.0-history-append.patch
+	"${FILESDIR}"/${PN}-5.0-optimize-connection-fork.patch
+	"${FILESDIR}"/${PN}-5.0-syslog-history-extern.patch
+)
+
+pkg_setup() {
+	if is-flag -malign-double ; then #7332
+		eerror "Detected bad CFLAGS '-malign-double'.  Do not use this"
+		eerror "as it breaks LFS (struct stat64) on x86."
+		die "remove -malign-double from your CFLAGS mr ricer"
+	fi
+	if use bashlogger ; then
+		ewarn "The logging patch should ONLY be used in restricted (i.e. honeypot) envs."
+		ewarn "This will log ALL output you enter into the shell, you have been warned."
+	fi
+}
+
+src_unpack() {
+	unpack ${MY_P}.tar.gz
+}
+
+src_prepare() {
+	# Include official patches
+	[[ ${PLEVEL} -gt 0 ]] && eapply -p0 $(patches -s)
+
+	# Clean out local libs so we know we use system ones w/releases.
+	if is_release ; then
+		rm -rf lib/{readline,termcap}/*
+		touch lib/{readline,termcap}/Makefile.in # for config.status
+		sed -ri -e 's:\$[(](RL|HIST)_LIBSRC[)]/[[:alpha:]]*.h::g' Makefile.in || die
+	fi
+
+	# Prefixify hardcoded path names. No-op for non-prefix.
+	hprefixify pathnames.h.in
+
+	# Avoid regenerating docs after patches #407985
+	sed -i -r '/^(HS|RL)USER/s:=.*:=:' doc/Makefile.in || die
+	touch -r . doc/*
+
+	eapply -p0 "${PATCHES[@]}"
+	eapply_user
+}
+
+src_configure() {
+	local myconf=(
+		--disable-profiling
+		--docdir='$(datarootdir)'/doc/${PF}
+		--htmldir='$(docdir)/html'
+		--with-curses
+		$(use_enable mem-scramble)
+		$(use_enable net net-redirections)
+		$(use_enable readline)
+		$(use_enable readline bang-history)
+		$(use_enable readline history)
+		$(use_with afs)
+		$(use_with mem-scramble bash-malloc)
+	)
+
+	# For descriptions of these, see config-top.h
+	# bashrc/#26952 bash_logout/#90488 ssh/#24762 mktemp/#574426
+	append-cppflags \
+		-DDEFAULT_PATH_VALUE=\'\"${EPREFIX}/usr/local/sbin:${EPREFIX}/usr/local/bin:${EPREFIX}/usr/sbin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/bin\"\' \
+		-DSTANDARD_UTILS_PATH=\'\"${EPREFIX}/bin:${EPREFIX}/usr/bin:${EPREFIX}/sbin:${EPREFIX}/usr/sbin\"\' \
+		-DSYS_BASHRC=\'\"${EPREFIX}/etc/bash/bashrc\"\' \
+		-DSYS_BASH_LOGOUT=\'\"${EPREFIX}/etc/bash/bash_logout\"\' \
+		-DNON_INTERACTIVE_LOGIN_SHELLS \
+		-DSSH_SOURCE_BASHRC \
+		$(use bashlogger && echo -DSYSLOG_HISTORY)
+
+	# Don't even think about building this statically without
+	# reading Bug 7714 first.  If you still build it statically,
+	# don't come crying to us with bugs ;).
+	#use static && export LDFLAGS="${LDFLAGS} -static"
+	use nls || myconf+=( --disable-nls )
+
+	# Historically, we always used the builtin readline, but since
+	# our handling of SONAME upgrades has gotten much more stable
+	# in the PM (and the readline ebuild itself preserves the old
+	# libs during upgrades), linking against the system copy should
+	# be safe.
+	# Exact cached version here doesn't really matter as long as it
+	# is at least what's in the DEPEND up above.
+	export ac_cv_rl_version=${READLINE_VER%%_*}
+
+	# Force linking with system curses ... the bundled termcap lib
+	# sucks bad compared to ncurses.  For the most part, ncurses
+	# is here because readline needs it.  But bash itself calls
+	# ncurses in one or two small places :(.
+
+	if is_release ; then
+		# Use system readline only with released versions.
+		myconf+=( --with-installed-readline=. )
+	fi
+
+	if use plugins; then
+		append-ldflags -Wl,-rpath,/usr/$(get_libdir)/bash
+	else
+		# Disable the plugins logic by hand since bash doesn't
+		# provide a way of doing it.
+		export ac_cv_func_dl{close,open,sym}=no \
+			ac_cv_lib_dl_dlopen=no ac_cv_header_dlfcn_h=no
+		sed -i \
+			-e '/LOCAL_LDFLAGS=/s:-rdynamic::' \
+			configure || die
+	fi
+	tc-export AR #444070
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	emake
+
+	if use plugins ; then
+		emake -C examples/loadables all others
+	fi
+}
+
+src_install() {
+	local d f
+
+	default
+
+	dodir /bin
+	mv "${ED%/}"/usr/bin/bash "${ED%/}"/bin/ || die
+	dosym bash /bin/rbash
+
+	insinto /etc/bash
+	doins "${FILESDIR}"/bash_logout
+	doins "$(prefixify_ro "${FILESDIR}"/bashrc)"
+	keepdir /etc/bash/bashrc.d
+	insinto /etc/skel
+	for f in bash{_logout,_profile,rc} ; do
+		newins "${FILESDIR}"/dot-${f} .${f}
+	done
+
+	local sed_args=(
+		-e "s:#${USERLAND}#@::"
+		-e '/#@/d'
+	)
+	if ! use readline ; then
+		sed_args+=( #432338
+			-e '/^shopt -s histappend/s:^:#:'
+			-e 's:use_color=true:use_color=false:'
+		)
+	fi
+	sed -i \
+		"${sed_args[@]}" \
+		"${ED%/}"/etc/skel/.bashrc \
+		"${ED%/}"/etc/bash/bashrc || die
+
+	if use plugins ; then
+		exeinto /usr/$(get_libdir)/bash
+		doexe $(echo examples/loadables/*.o | sed 's:\.o::g')
+		insinto /usr/include/bash-plugins
+		doins *.h builtins/*.h include/*.h lib/{glob/glob.h,tilde/tilde.h}
+	fi
+
+	if use examples ; then
+		for d in examples/{functions,misc,scripts,startup-files} ; do
+			exeinto /usr/share/doc/${PF}/${d}
+			insinto /usr/share/doc/${PF}/${d}
+			for f in ${d}/* ; do
+				if [[ ${f##*/} != PERMISSION ]] && [[ ${f##*/} != *README ]] ; then
+					doexe ${f}
+				else
+					doins ${f}
+				fi
+			done
+		done
+	fi
+
+	doman doc/*.1
+	newdoc CWRU/changelog ChangeLog
+	dosym bash.info /usr/share/info/bashref.info
+}
+
+pkg_preinst() {
+	if [[ -e ${EROOT}/etc/bashrc ]] && [[ ! -d ${EROOT}/etc/bash ]] ; then
+		mkdir -p "${EROOT}"/etc/bash
+		mv -f "${EROOT}"/etc/bashrc "${EROOT}"/etc/bash/
+	fi
+
+	if [[ -L ${EROOT}/bin/sh ]] ; then
+		# rewrite the symlink to ensure that its mtime changes. having /bin/sh
+		# missing even temporarily causes a fatal error with paludis.
+		local target=$(readlink "${EROOT}"/bin/sh)
+		local tmp=$(emktemp "${EROOT}"/bin)
+		ln -sf "${target}" "${tmp}"
+		mv -f "${tmp}" "${EROOT}"/bin/sh
+	fi
+}
+
+pkg_postinst() {
+	# If /bin/sh does not exist, provide it
+	if [[ ! -e ${EROOT}/bin/sh ]] ; then
+		ln -sf bash "${EROOT}"/bin/sh
+	fi
+}


             reply	other threads:[~2019-03-20 14:31 UTC|newest]

Thread overview: 309+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-03-20 14:31 Lars Wendler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-12 17:09 [gentoo-commits] repo/gentoo:master commit in: app-shells/bash/ Sam James
2025-02-10 23:58 Sam James
2025-01-25  5:20 Sam James
2025-01-16  0:28 Sam James
2025-01-10  4:17 Sam James
2025-01-09  0:08 Sam James
2025-01-09  0:08 Sam James
2024-12-31  7:04 Sam James
2024-12-23 10:52 Sam James
2024-12-17 15:25 Sam James
2024-12-13 15:46 Sam James
2024-12-10 18:53 Sam James
2024-12-07  2:33 Sam James
2024-12-06 16:07 Sam James
2024-12-06 13:04 Sam James
2024-11-23  3:33 Sam James
2024-11-21 17:15 Sam James
2024-11-16  9:19 Sam James
2024-11-16  9:19 Sam James
2024-11-15 21:57 Sam James
2024-11-09  3:54 Sam James
2024-11-05  1:21 Sam James
2024-11-03  8:21 Sam James
2024-11-02  3:23 Sam James
2024-10-28 21:30 Sam James
2024-10-27  2:53 Sam James
2024-10-23 17:03 Sam James
2024-10-18 19:16 Sam James
2024-10-17  4:40 Sam James
2024-10-17  4:40 Sam James
2024-10-15 21:00 Sam James
2024-10-13 22:12 Sam James
2024-10-12 23:35 Sam James
2024-10-12 22:19 Sam James
2024-10-11 16:40 Sam James
2024-10-08 21:50 Jakov Smolić
2024-10-08 18:49 Sam James
2024-10-05 11:48 Arthur Zamarin
2024-10-05  9:44 Sam James
2024-10-05  9:07 Arthur Zamarin
2024-10-05  9:06 Arthur Zamarin
2024-10-05  7:28 Sam James
2024-09-27 17:26 Sam James
2024-09-24  6:35 Sam James
2024-09-24  6:32 Sam James
2024-09-24  6:32 Sam James
2024-09-11 22:13 Sam James
2024-09-05  7:17 Sam James
2024-08-30 14:59 Ionen Wolkens
2024-08-28 22:31 Sam James
2024-08-26 22:54 Sam James
2024-08-24  8:10 Sam James
2024-08-22  2:13 Sam James
2024-08-15 21:38 Sam James
2024-08-15 21:38 Sam James
2024-08-10 21:03 Sam James
2024-07-31 18:44 Sam James
2024-07-26 18:10 Sam James
2024-07-19  4:55 Sam James
2024-07-16  3:51 Sam James
2024-07-07  1:54 Sam James
2024-07-07  1:54 Sam James
2024-07-06 22:10 Sam James
2024-07-01 23:14 Sam James
2024-06-21  4:23 Arthur Zamarin
2024-06-20 21:46 Sam James
2024-06-20 21:46 Sam James
2024-06-20 20:17 Arthur Zamarin
2024-06-20 20:16 Arthur Zamarin
2024-06-20 20:14 Arthur Zamarin
2024-06-20 19:36 Arthur Zamarin
2024-06-20 18:28 Sam James
2024-06-20 18:28 Sam James
2024-06-14  6:47 Sam James
2024-06-13 17:57 Sam James
2024-06-13 17:57 Sam James
2024-06-13  2:28 Sam James
2024-06-13  2:28 Sam James
2024-06-13  2:28 Sam James
2024-06-13  2:28 Sam James
2024-05-22  4:35 Sam James
2024-05-18 17:06 Sam James
2024-05-18 17:06 Sam James
2024-04-30  2:37 Sam James
2024-04-23 13:56 Sam James
2024-04-23 13:56 Sam James
2024-04-23 13:56 Sam James
2024-03-12  0:29 Sam James
2024-03-04 10:24 Sam James
2023-12-28  4:59 Sam James
2023-10-12 12:13 Sam James
2023-10-12 12:05 Sam James
2023-10-12  5:48 Sam James
2023-06-02 21:47 Sam James
2023-05-31  4:59 Sam James
2023-05-22 16:26 David Seifert
2023-01-28 20:24 Mike Gilbert
2023-01-15 22:41 Sam James
2023-01-07  0:06 Sam James
2023-01-04  5:33 Sam James
2023-01-04  5:32 Sam James
2022-12-13 19:37 Sam James
2022-12-13 19:37 Sam James
2022-11-23 23:29 Sam James
2022-11-08  2:54 Sam James
2022-10-29  5:45 Arthur Zamarin
2022-10-28 20:53 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:44 Sam James
2022-10-28 20:27 Sam James
2022-10-18  2:47 Sam James
2022-10-08 14:54 Sam James
2022-10-06 14:45 Sam James
2022-10-06 14:45 Sam James
2022-09-26 17:54 Sam James
2022-09-26 17:53 Sam James
2022-09-23  2:09 Sam James
2022-09-10  0:29 Sam James
2022-08-26 22:54 Sam James
2022-08-26 22:54 Sam James
2022-08-14 22:01 Sam James
2022-07-31 16:55 Mike Gilbert
2022-07-31  3:54 Sam James
2022-07-26  4:10 Sam James
2022-07-26  4:10 Sam James
2022-07-26  2:17 Sam James
2022-06-17 20:31 Sam James
2022-06-17 20:25 Sam James
2022-06-17 19:33 Sam James
2022-04-19 19:06 Sam James
2022-04-19 19:04 Sam James
2022-04-19 18:59 Sam James
2022-04-13 17:51 Sam James
2022-04-07  0:09 Sam James
2022-04-06 23:58 Sam James
2022-02-08 19:38 Arthur Zamarin
2022-02-08 19:38 Arthur Zamarin
2022-02-08 19:37 Arthur Zamarin
2022-02-08  7:24 Agostino Sarubbo
2022-02-08  7:23 Agostino Sarubbo
2022-02-08  7:22 Agostino Sarubbo
2022-02-08  5:50 Sam James
2022-02-08  5:50 Sam James
2022-01-21 23:50 Sam James
2022-01-21 23:43 Sam James
2022-01-05 11:38 Sam James
2022-01-05 11:28 Sam James
2021-11-18  4:30 Sam James
2021-11-18  4:30 Sam James
2021-10-14  8:46 Sam James
2021-06-21 18:16 Mike Gilbert
2021-05-13 20:58 Lars Wendler
2021-05-13 19:02 Sam James
2021-05-13 18:56 Sam James
2021-05-13 16:59 Sam James
2021-05-13 16:55 Sam James
2021-05-13 16:54 Sam James
2021-05-13 16:44 Sam James
2021-05-13 16:29 Sam James
2021-05-13 13:55 David Seifert
2021-05-04 19:50 Lars Wendler
2021-05-04 19:50 Lars Wendler
2021-01-24  4:32 Sam James
2021-01-17 11:41 Sergei Trofimovich
2021-01-12 15:02 Lars Wendler
2021-01-10  9:35 Sam James
2021-01-07 11:15 Sam James
2021-01-07 10:06 Sam James
2021-01-07  8:09 Fabian Groffen
2021-01-07  5:10 Sam James
2021-01-07  5:10 Sam James
2021-01-07  5:10 Sam James
2021-01-07  2:35 Sam James
2021-01-06 13:26 Fabian Groffen
2020-12-27 14:01 Fabian Groffen
2020-12-20 10:34 Lars Wendler
2020-12-07 11:50 Lars Wendler
2020-11-29 19:11 Lars Wendler
2020-11-29 19:11 Lars Wendler
2020-11-29 19:11 Lars Wendler
2020-11-29 19:11 Lars Wendler
2020-11-18  8:28 Lars Wendler
2020-11-18  8:26 Lars Wendler
2020-11-04 15:49 Lars Wendler
2020-09-24 15:41 Lars Wendler
2020-09-03 23:57 Sam James
2020-09-01  4:17 Sam James
2020-08-21 15:36 Agostino Sarubbo
2020-08-21 15:31 Agostino Sarubbo
2020-08-21 15:30 Agostino Sarubbo
2020-08-21 15:27 Agostino Sarubbo
2020-08-21 15:25 Agostino Sarubbo
2020-08-21  7:36 Sam James
2020-08-10  7:53 Lars Wendler
2020-08-10  7:52 Lars Wendler
2020-07-11  7:22 Lars Wendler
2020-05-30 19:20 Sergei Trofimovich
2020-05-11 11:38 Agostino Sarubbo
2020-05-06  6:28 Agostino Sarubbo
2020-05-06  6:27 Agostino Sarubbo
2020-05-04  6:16 Mart Raudsepp
2020-05-03 10:25 Agostino Sarubbo
2020-05-03 10:22 Agostino Sarubbo
2020-04-26  8:32 Lars Wendler
2020-04-26  2:41 Lars Wendler
2020-04-26  1:20 Lars Wendler
2020-02-09  0:35 Lars Wendler
2020-02-09  0:35 Lars Wendler
2019-09-02  7:54 Lars Wendler
2019-08-18 23:02 Lars Wendler
2019-08-15 10:50 Lars Wendler
2019-05-03 23:57 Mikle Kolyada
2019-04-21  9:16 Lars Wendler
2019-03-20 14:31 Lars Wendler
2019-03-07 22:19 Lars Wendler
2019-02-16 13:39 Mikle Kolyada
2019-02-16 13:39 Mikle Kolyada
2019-01-31 14:23 Tobias Klausmann
2019-01-29 11:40 Mikle Kolyada
2019-01-23 13:41 Mikle Kolyada
2019-01-21 10:23 Lars Wendler
2019-01-17 22:41 Sergei Trofimovich
2019-01-17  8:31 Sergei Trofimovich
2019-01-17  8:29 Sergei Trofimovich
2019-01-17  8:08 Sergei Trofimovich
2019-01-17  8:01 Sergei Trofimovich
2019-01-16 10:52 Mikle Kolyada
2019-01-16 10:50 Mikle Kolyada
2019-01-15 22:10 Thomas Deutschmann
2019-01-15 10:36 Mart Raudsepp
2019-01-13 11:18 Lars Wendler
2019-01-07 23:08 Lars Wendler
2018-12-28 10:25 Fabian Groffen
2018-09-19 11:31 Mikle Kolyada
2018-09-17 14:49 Lars Wendler
2018-09-17 14:49 Lars Wendler
2018-06-07  0:34 Thomas Deutschmann
2018-05-30 22:25 Aaron Bauman
2018-05-11 19:52 Mikle Kolyada
2018-04-21 20:54 Mart Raudsepp
2018-03-22 17:35 Mikle Kolyada
2018-03-04  8:16 Tobias Klausmann
2018-02-11  2:03 Lars Wendler
2018-02-01 20:31 Lars Wendler
2018-01-10  6:19 Markus Meier
2018-01-05  9:35 Lars Wendler
2018-01-03 17:20 Mikle Kolyada
2018-01-03  9:28 Sergei Trofimovich
2018-01-03  9:04 Sergei Trofimovich
2017-06-17 21:36 Lars Wendler
2017-06-17 21:36 Lars Wendler
2017-02-09 19:16 Patrick McLean
2017-01-20 22:56 Mike Frysinger
2017-01-09 21:09 Lars Wendler
2016-12-15 21:49 Mike Frysinger
2016-12-06 11:53 Agostino Sarubbo
2016-12-06 11:50 Agostino Sarubbo
2016-12-05 15:49 Tobias Klausmann
2016-12-04 16:09 Lars Wendler
2016-11-14 20:15 Mike Frysinger
2016-11-10 14:05 Mike Frysinger
2016-11-10  6:07 Mike Frysinger
2016-10-24  0:35 Benda XU
2016-10-18 19:47 Markus Meier
2016-10-13  8:32 Lars Wendler
2016-10-11 14:18 Tobias Klausmann
2016-10-08 12:43 Jeroen Roovers
2016-10-07 13:27 Agostino Sarubbo
2016-10-07 13:27 Agostino Sarubbo
2016-10-07  9:06 Lars Wendler
2016-10-07  9:06 Lars Wendler
2016-09-29 13:28 Agostino Sarubbo
2016-09-29 13:14 Agostino Sarubbo
2016-09-29 12:35 Agostino Sarubbo
2016-09-22 13:00 Jeroen Roovers
2016-09-21 13:18 Agostino Sarubbo
2016-09-21 11:32 Tobias Klausmann
2016-09-16  7:44 Lars Wendler
2016-09-15 18:38 Lars Wendler
2016-09-15 18:38 Lars Wendler
2016-08-23  9:07 Lars Wendler
2016-06-13  7:21 Benda XU
2016-05-16 18:20 Mike Frysinger
2016-02-24 16:01 Mike Frysinger
2016-02-03 18:52 Mike Frysinger
2016-01-26  7:52 Mike Frysinger
2016-01-26  7:52 Mike Frysinger
2016-01-11 10:46 Mike Frysinger
2016-01-06 13:34 Agostino Sarubbo
2016-01-04 12:38 Lars Wendler
2015-12-28  7:54 Jeroen Roovers
2015-12-26 23:32 Agostino Sarubbo
2015-09-21 11:27 Agostino Sarubbo
2015-09-01 15:54 Markus Meier
2015-08-30 13:23 Tobias Klausmann
2015-08-27  0:05 Mike Frysinger
2015-08-24 13:48 Mikle Kolyada
2015-08-24  5:16 Jeroen Roovers
2015-08-18 14:37 Mike Frysinger
2015-08-18  4:32 Jeroen Roovers
2015-08-16 17:45 Mikle Kolyada
2015-08-16 11:30 Justin Lecher
2015-08-14 21:25 Mikle Kolyada
2015-08-14  2:13 Mike Frysinger
2015-08-13  6:28 Mike Frysinger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1553092281.596519978ca08ab3a46e60e7ac754278a5aef40e.polynomial-c@gentoo \
    --to=polynomial-c@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox